#ifndef TILEANIMELIST_H
#define TILEANIMELIST_H

#include "TileAnimationConfig.h"

#include <fstream>
//as we add more tile we will change this to a binary tree

using namespace std; // cant remove this yet


class TileAnimeList  
{
private:
	TileAnimationConfig* head;
	int numItems2;
public:
	TileAnimeList();
	//insert at beginning
	
	void load();
	void save( );
	void traverse2( );
	bool isEmpty( );
	int GetNumItems( );
	bool IsInList( int );
	int IndexOf( int );
	bool IsInList2( int );
	
	int Find_animate_id( int d,int c );
	

	virtual ~TileAnimeList();

};



#endif